Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.node
Class ProcessState

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jbpm.graph.node.ProcessState

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class ProcessState

extends Node
implements Parsable

See Also:
  Serialized Form

Field Summary
`protected ProcessDefinition` | `subProcessDefinition`
`protected java.lang.String` | `subProcessName`
`static java.lang.String[]` | `supportedEventTypes`
`protected java.util.Set` | `variableAccesses`

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`ProcessState()`

Method Summary
`protected void` | `addNodeLog(Token token)`
`void` | `execute(ExecutionContext executionContext)` override this method to customize the node behaviour.
`ProcessDefinition` | `getSubProcessDefinition()`
`java.lang.String[]` | `getSupportedEventTypes()` indicative set of event types supported by this graph element.
`void` | `leave(ExecutionContext executionContext, Transition transition)` called by the implementation of this node to continue execution over the given transition.
`void` | `read(org.dom4j.Element processStateElement, JpdlXmlReader jpdlReader)`
`static void` | `setDefaultSubProcessResolver(SubProcessResolver subProcessResolver)`
`void` | `setSubProcessDefinition(ProcessDefinition subProcessDefinition)`

Methods inherited from class org.jbpm.graph.def.Node
`addArrivingTransition, addLeavingTransition, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getNodes, getParent, getProcessDefinition, getSuperState, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, isSuperStateNode, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName, write`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.jpdl.xml.Parsable
`write`

Field Detail

### subProcessDefinition

    protected ProcessDefinition subProcessDefinition

### variableAccesses

    protected java.util.Set variableAccesses

### subProcessName

    protected java.lang.String subProcessName

### supportedEventTypes

    public static final java.lang.String[] supportedEventTypes

Constructor Detail

### ProcessState

    public ProcessState()

Method Detail

### setDefaultSubProcessResolver

    public static void setDefaultSubProcessResolver(SubProcessResolver subProcessResolver)

### getSupportedEventTypes

    public java.lang.String[] getSupportedEventTypes()

  Description copied from class: `GraphElement`
  indicative set of event types supported by this graph element. this is currently only used by the process designer to know which event types to show on a given graph element. in process definitions and at runtime, there are no contstraints on the event-types.

  Overrides:
    `getSupportedEventTypes` in class `Node`

### read

    public void read(org.dom4j.Element processStateElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Node`

### execute

    public void execute(ExecutionContext executionContext)

  Description copied from class: `Node`
  override this method to customize the node behaviour.

  Overrides:
    `execute` in class `Node`

### leave

    public void leave(ExecutionContext executionContext,
                      Transition transition)

  Description copied from class: `Node`
  called by the implementation of this node to continue execution over the given transition.

  Overrides:
    `leave` in class `Node`

### addNodeLog

    protected void addNodeLog(Token token)

  Overrides:
    `addNodeLog` in class `Node`

### getSubProcessDefinition

    public ProcessDefinition getSubProcessDefinition()

### setSubProcessDefinition

    public void setSubProcessDefinition(ProcessDefinition subProcessDefinition)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD